Problems with Open-Source Downloads read https://www.qt.io/blog/problem-with-open-source-downloads and https://forum.qt.io/post/638946

QML module not found (QtQuick.Studio.Components 1.0 )



  • Hello, I cross compiled Qt 5.14.1 for my Raspberry pi 4(lite os) on a Ubuntu 18.04,

    for my application I need to create arcs when I searched I found out that the component arc belongs to QtQuick.Studio.Components 1.0 https://doc.qt.io/qtdesignstudio/qml-qtquick-studio-components-arc.html

    but when I added the import QtQuick.Studio.Components 1.0 in my main.qml I had an error QML module not found (QtQuick.Studio.Components 1.0 ) import paths : /opt/RaspberryQt/sysroot/usr/local/RaspberryQt/qml

    so in my .pro file I added
    QML_IMPORT_PATH = /opt/RaspberryQt/sysroot/usr/local/RaspberryQt/qml

    but I still have this error what should I do?

    these are the libraries that I installed on my Raspberry pi 4 before cross compiling. Can you please tell me which one is missing ?

    sudo apt-get build-dep qt5-qmake
    sudo apt-get build-dep libqt5gui5
    sudo apt-get build-dep libqt5webengine-data
    sudo apt-get build-dep libqt5webkit5
    sudo apt-get install libudev-dev libinput-dev libts-dev libxcb-xinerama0-dev libxcb-xinerama0 gdbserver
    

    and this is my configuration

    cd /opt/RaspberryQt/build
    ../qt-everywhere-src-5.14.1/configure -release -opengl es2  -eglfs -device linux-rasp-pi4-v3d-g++ -device-option CROSS_COMPILE=/opt/RaspberryQt/tools/rpi-gcc-8.3.0/bin/arm-linux-gnueabihf- -sysroot /opt/RaspberryQt/sysroot -prefix /usr/local/RaspberryQt -opensource -confirm-license -skip qtscript -skip qtwayland -skip qtwebengine -nomake tests -nomake examples -make libs -pkg-config -no-use-gold-linker -v -recheck
    

    or is it available only in commercial license?
    Thank you in advance


Log in to reply